
Smart Proxy - Bug #15043

mcollective puppetrun provider can't find puppet-agent mco binary

05/13/2016 09:07 AM - Alex Fisher

Status: Closed   

Priority: Normal   

Assignee: Alex Fisher   

Category: Puppet   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/418

  

Description

In puppet 4 (puppet-agent AIO packages) the location of the mco binary has changed.

The mcollective puppetrun provider tries to find the mco binary here.

https://github.com/theforeman/smart-proxy/blob/f9c9e7ad4183d26e4060ed85bf38d580b5c356bd/modules/puppet_proxy/mcollective.

rb#L18

and fails.

Related issues:

Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

Associated revisions

Revision 67f82027 - 05/13/2016 10:23 AM - Alex Fisher

fixes #15043 - Fix puppet 4 mco search path

In puppet 4, (AIO packaging), binaries can be found in

`/opt/puppetlabs/bin`.

(`/opt/puppetlabs/bin/mco` is actually a symlink to

`/opt/puppetlabs/puppet/bin/mco`, but `/opt/puppetlabs/bin` is what's

added to PATH in `/etc/profile.d/puppet-agent.sh` so is probably the

path that should be searched.)

History

#1 - 05/13/2016 09:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/418 added

#2 - 05/13/2016 11:01 AM - Alex Fisher

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 67f820270744536f5df2336c297649034ecdf9ed.

#3 - 05/16/2016 03:07 AM - Dominic Cleal

- Category set to Puppet

- Assignee set to Alex Fisher

- translation missing: en.field_release set to 136

#4 - 05/16/2016 03:10 AM - Dominic Cleal

- Blocks Tracker #8447: Puppet 4 support added
